%define _modulesdir %_libdir/X11/modules

Name: xorg-drv-dmc
Version: 1.1.2
Release: alt1.M41.1
Serial: 1
Summary: DMC input driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_XINPUT = %get_xorg_abi_xinput
Provides: xorg-x11-drv-dmc = %serial:%version-%release
Obsoletes: xorg-x11-drv-dmc

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: xorg-sdk xorg-proto-devel xorg-util-macros

%description
dmc is an Xorg input driver for DMC FIT10-controller...

The  dmc driver functions as a pointer input device, and may be used as
the X server's core pointer.

%def_disable static

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%files
%_modulesdir/input/*.so
%_man4dir/*

%changelog
* Fri Aug 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.2-alt1.M41.1
- build for branch 4.1

* Wed Jun 04 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.2-alt2
- renamed xorg-x11-drv-dmc to xorg-drv-dmc
- added requires XORG_ABI_XINPUT = 2.0

* Fri Mar 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.2-alt1
- 1.1.2

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1-alt1
- 1.1.1

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0-alt1
- 1.1.0

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.0.5-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0.3-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0.2-alt0.1
- initial release

